org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class FlatMapStageVerification.InnerSubscriberVerification

- java.lang.Object
- - org.reactivestreams.tck.WithHelperPublisher<T>
  - - org.reactivestreams.tck.SubscriberWhiteboxVerification<T>
    - - org.eclipse.microprofile.reactive.streams.operators.tck.spi.FlatMapStageVerification.InnerSubscriberVerification

All Implemented Interfaces:
  org.reactivestreams.tck.flow.support.SubscriberWhiteboxVerificationRules

Enclosing class:
  FlatMapStageVerification

    public class FlatMapStageVerification.InnerSubscriberVerification
    extends org.reactivestreams.tck.SubscriberWhiteboxVerification<T>

Verifies the inner subscriber passed to publishers produced by the mapper function.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.reactivestreams.tck.SubscriberWhiteboxVerification

`org.reactivestreams.tck.SubscriberWhiteboxVerification.BlackboxProbe<T>, org.reactivestreams.tck.SubscriberWhiteboxVerification.BlackboxSubscriberProxy<T>, org.reactivestreams.tck.SubscriberWhiteboxVerification.SubscriberProbe<T>, org.reactivestreams.tck.SubscriberWhiteboxVerification.SubscriberPuppet, org.reactivestreams.tck.SubscriberWhiteboxVerification.SubscriberPuppeteer, org.reactivestreams.tck.SubscriberWhiteboxVerification.WhiteboxSubscriberProbe<T>, org.reactivestreams.tck.SubscriberWhiteboxVerification.WhiteboxTestStage`

### Constructor Summary

Constructors
Constructor and Description
`InnerSubscriberVerification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Integer` `createElement(int element)`
`org.reactivestreams.Subscriber<java.lang.Integer>` `createSubscriber(org.reactivestreams.tck.SubscriberWhiteboxVerification.WhiteboxSubscriberProbe<java.lang.Integer> probe)`

### Methods inherited from class org.reactivestreams.tck.SubscriberWhiteboxVerification

`notVerified, notVerified, optionalSubscriberTestWithoutSetup, publisherExecutorService, required_exerciseWhiteboxHappyPath, required_spec201_mustSignalDemandViaSubscriptionRequest, required_spec203_mustNotCallMethodsOnSubscriptionOrPublisherInOnComplete, required_spec203_mustNotCallMethodsOnSubscriptionOrPublisherInOnError, required_spec205_mustCallSubscriptionCancelIfItAlreadyHasAnSubscriptionAndReceivesAnotherOnSubscribeSignal, required_spec208_mustBePreparedToReceiveOnNextSignalsAfterHavingCalledSubscriptionCancel, required_spec209_mustBePreparedToReceiveAnOnCompleteSignalWithoutPrecedingRequestCall, required_spec209_mustBePreparedToReceiveAnOnCompleteSignalWithPrecedingRequestCall, required_spec210_mustBePreparedToReceiveAnOnErrorSignalWithoutPrecedingRequestCall, required_spec210_mustBePreparedToReceiveAnOnErrorSignalWithPrecedingRequestCall, required_spec213_onError_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec213_onNext_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec213_onSubscribe_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec308_requestMustRegisterGivenNumberElementsToBeProduced, setUp, shutdownPublisherExecutorService, startPublisherExecutorService, subscriberTest, subscriberTestWithoutSetup, untested_spec202_shouldAsynchronouslyDispatch, untested_spec204_mustConsiderTheSubscriptionAsCancelledInAfterRecievingOnCompleteOrOnError, untested_spec206_mustCallSubscriptionCancelIfItIsNoLongerValid, untested_spec207_mustEnsureAllCallsOnItsSubscriptionTakePlaceFromTheSameThreadOrTakeCareOfSynchronization, untested_spec211_mustMakeSureThatAllCallsOnItsMethodsHappenBeforeTheProcessingOfTheRespectiveEvents, untested_spec212_mustNotCallOnSubscribeMoreThanOnceBasedOnObjectEquality_specViolation, untested_spec213_failingOnSignalInvocation, untested_spec301_mustNotBeCalledOutsideSubscriberContext, untested_spec310_requestMaySynchronouslyCallOnNextOnSubscriber, untested_spec311_requestMaySynchronouslyCallOnCompleteOrOnError, untested_spec314_cancelMayCauseThePublisherToShutdownIfNoOtherSubscriptionExists, untested_spec315_cancelMustNotThrowExceptionAndMustSignalOnError, untested_spec316_requestMustNotThrowExceptionAndMustOnErrorTheSubscriber`

### Methods inherited from class org.reactivestreams.tck.WithHelperPublisher

`createHelperPublisher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InnerSubscriberVerification

    public InnerSubscriberVerification()

### Method Detail

#### createSubscriber

    public org.reactivestreams.Subscriber<java.lang.Integer> createSubscriber(org.reactivestreams.tck.SubscriberWhiteboxVerification.WhiteboxSubscriberProbe<java.lang.Integer> probe)

Specified by:
  `createSubscriber` in class `org.reactivestreams.tck.SubscriberWhiteboxVerification<java.lang.Integer>`

#### createElement

    public java.lang.Integer createElement(int element)

Specified by:
  `createElement` in class `org.reactivestreams.tck.WithHelperPublisher<java.lang.Integer>`